import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"operator.pmh",
				"OperatorContext",
				"DrawTestOp",
				"OperatorThreaded",
				"SurfaceAttrCreateOp",
				"SurfaceCopyOp",
				"SurfaceCurveOp",
				"SurfaceSummaryOp",
				"SurfaceWaveOp",
				"operatorDL" ]

	dll = module.DLL( "fexOperatorDL", srcList )

	deplibs = forge.corelibs+ [
				"fexMathLib"	]

	forge.deps( ["fexOperatorDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexOperatorDL",					None,	None) ]

	module.Module('test')
